Package weka.gui.beans

# Interface TestSetProducer

All Known Implementing Classes:
  `AbstractTestSetProducer`, `AbstractTrainAndTestSetProducer`, `ClassAssigner`, `CrossValidationFoldMaker`, `Filter`, `PredictionAppender`, `TestSetMaker`, `TrainTestSplitMaker`

public interface TestSetProducer
Interface to something that can produce test sets

Version:
  $Revision: 1.3 $
Author:
  Mark Hall

## Method Summary

Modifier and Type
Method
Description
`void`
`addTestSetListener(TestSetListener tsl)`
Add a listener for test set events
`void`
`removeTestSetListener(TestSetListener tsl)`
Remove a listener for test set events

## Method Details

### addTestSetListener

void addTestSetListener(TestSetListener tsl)
Add a listener for test set events

Parameters:
  `tsl` - a `TestSetListener` value

### removeTestSetListener

void removeTestSetListener(TestSetListener tsl)
Remove a listener for test set events

Parameters:
  `tsl` - a `TestSetListener` value